// windows.cpp : Defines the entry point for the console application.
//

#include "..\lib\mainroutines_extern.h"

// commentez ou non cette ligne pour choisir la ville par ses coord.
#define COORD_VILLE_EXTERNE

int main()
{
char c;
char SS[SSlenght], SS2[SSlenght];
	Verbose=false;
// change town :
	init();
	Verbose=false;
	TownSelected=1;    // Nancy
#ifdef COORD_VILLE_EXTERNE
// en manuel
	latitude=deg2rd*48.86;
	longitude=deg2rd*2.351;
	strcpy( CountryName, "FRANCE");
	strcpy( TownName, "Paris");
#else
// from database
	latitude=deg2rd*Towns[TownSelected]->latitude;
	longitude=deg2rd*((pTownData)(Towns[TownSelected]))->longitude;
	strcpy( CountryName, Towns[TownSelected]->CountryName);
	strcpy( TownName, Towns[TownSelected]->TownName);
#endif
	TimeZoneTown=Towns[TownSelected]->TimeZoneTown;
	DST=Towns[TownSelected]->DST;
	Convention=Towns[TownSelected]->Convention;

	// Set Date
	date.j=7; date.m=6; date.a=2009;
	// Set Heure (pour la position du soleil uniquement : Calc_haz)
	heure.h=12; heure.m=00; heure.s=00;
	
//	Verbose=true;		// decomenter pour obtenir le dtail
	ComputeSalatTime();

	Verbose=true;
	if (Verbose) 	printf("Lieu : %s, %s\n", CountryName, TownName);
	if (Verbose) 	printf("latitude=%s   longitude=%s Convention %d\n", rd2degminsec(latitude, SS), rd2degminsec(longitude, SS2), Convention);
	if (Verbose)	printf("__ Date : %s %d/%d/%d   %s  TZ (include DST)=%d\n", Days[CalculeJour(T+(TimeZone+12)/24.0/36525.0)], date.j, date.m, date.a,
																																DSTApplies ? "DST Applies": "DST does not apply", TimeZone);
	if (Verbose)	printf("Fajr    =%s\n", h2hmiarrondie(SalatTimeC.Fajr, SS));
	if (Verbose)	printf("Chourouk=%s\n", h2hmiarrondie(SalatTimeC.Chourouk, SS));
	if (Verbose)	printf("Zuhr    =%s\n", h2hmiarrondie(SalatTimeC.Zuhr, SS));
	if (Verbose)	printf("Asr     =%s\n", h2hmiarrondie(SalatTimeC.Asr, SS));
	if (Verbose)	printf("Maghrib =%s\n", h2hmiarrondie(SalatTimeC.Maghrib, SS));
	if (Verbose)	printf("Isha    =%s\n", h2hmiarrondie(SalatTimeC.Isha, SS));

//	WriteConfigFile();     // sur data.cfgw

// exemple de calcul de la position du soleil
	ButtonCalc_hazClick();
	scanf("%c", & c);
	return 0;
}

